Bug 1416013 (CVE-2017-5495)

Summary: CVE-2017-5495 quagga: Telnet interface input buffer allocates unbounded amounts of memory
Product: [Other] Security Response Reporter: Andrej Nemec <anemec>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: balajig81, mruprich, msekleta
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: quagga-0.99.15-14.el6 Doc Type: If docs needed, set a value
Doc Text:
A denial of service flaw affecting various daemons in Quagga was found. A remote attacker could use this flaw to cause the various Quagga daemons, which expose their telnet interface, to crash.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:06:07 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1416017, 1416326    
Bug Blocks: 1386080, 1416016    

Description Andrej Nemec 2017-01-24 11:09:09 UTC
A vulnerability was found in quagga. Telnet interface input buffer allocates unbounded amounts of memory which leads to Denial-of-service.

References:

http://savannah.nongnu.org/forum/forum.php?forum_id=8783
http://mirror.easyname.at/nongnu//quagga/quagga-1.1.1.changelog.txt

Comment 1 Andrej Nemec 2017-01-24 11:11:18 UTC
Created quagga tracking bugs for this issue:

Affects: fedora-all [bug 1416017]

Comment 2 Andrej Nemec 2017-01-25 08:54:04 UTC
External References:

https://lists.quagga.net/pipermail/quagga-dev/2017-January/016586.html

Comment 10 errata-xmlrpc 2017-03-21 11:57:29 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2017:0794 https://rhn.redhat.com/errata/RHSA-2017-0794.html